API ReferenceapicommunityPOST /v1/feed/channels/{channel_key}

POST /v1/feed/channels/\{channel_key\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • channel_key (string) required

Request body

{
  "type": "object",
  "properties": {
    "label": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    }
  }
}

Responses

201 Channel pinned

{
  "type": "object",
  "properties": {
    "key": {
      "type": "string"
    },
    "kind": {
      "type": "string",
      "enum": [
        "default",
        "hashtag",
        "community"
      ]
    },
    "label": {
      "type": "string"
    },
    "position": {
      "type": "integer"
    },
    "is_default": {
      "type": "boolean"
    },
    "pinned_at": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "key",
    "kind",
    "label",
    "position",
    "is_default",
    "pinned_at"
  ]
}

400 Invalid channel key

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://community.platform.loop.health/v1/feed/channels/{channel_key} \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'